Autor Thema: Probleme bei der Installation von roccat-tools  (Gelesen 1123 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Offline maeries

  • Jr. Mitglied
  • **
  • Beiträge: 65
  • Desktop: Gnome Shell
  • Grafikkarte: MSI GTX 670
  • Grafikkartentreiber: nvidia 346.47
  • Kernel: 3.18
  • Prozessor: i5 4670k @ 4,4GHz
  • Skill: Durchschnitt
  • Zweig: stable
Probleme bei der Installation von roccat-tools
« am: 15. Mai 2014, 21:37:19 »
Hallo zusammen,

ich wollte gerade den Treiber für meine Maus installieren. Das ist das Paket roccat-tools aus der AUR. Bei der Installation erhalte ich jedoch immer die Meldung:
roccat-tools hängt ab von roccat-tools-common, was nicht installierbar ist
roccat-tools hängt ab von roccat-tools-common, was nicht installierbar ist
roccat-tools hängt ab von roccat-tools-common, was nicht installierbar ist
roccat-tools hängt ab von roccat-tools-isku, was nicht installierbar ist
roccat-tools hängt ab von roccat-tools-common, was nicht installierbar ist
roccat-tools hängt ab von roccat-tools-common, was nicht installierbar ist
roccat-tools hängt ab von roccat-tools-common, was nicht installierbar ist
roccat-tools hängt ab von roccat-tools-konextd, was nicht installierbar ist
roccat-tools hängt ab von roccat-tools-common, was nicht installierbar ist
roccat-tools hängt ab von roccat-tools-konepure, was nicht installierbar ist
roccat-tools hängt ab von roccat-tools-common, was nicht installierbar ist
roccat-tools hängt ab von roccat-tools-koneplus, was nicht installierbar ist
roccat-tools hängt ab von roccat-tools-common, was nicht installierbar ist
roccat-tools hängt ab von roccat-tools-common, was nicht installierbar ist
roccat-tools hängt ab von roccat-tools-common, was nicht installierbar ist
roccat-tools hängt ab von roccat-tools-common, was nicht installierbar ist
roccat-tools hängt ab von roccat-tools-common, was nicht installierbar ist
Wie kann man das lösen?

Danke schon mal im Voraus

Offline Matthias19281

  • Held Mitglied
  • *****
  • Beiträge: 748
  • Dankeschön: 22 mal
  • Desktop: OpenBox
  • Grafikkarte: Intel (Laptop) / Nvidia (PC)
  • Grafikkartentreiber: free
  • Kernel: Kernel 3.17
  • Prozessor: Pentium B940 (Laptop) / Intel Core 2 Duo 8400 (PC)
  • Skill: Fortgeschritten
  • Zweig: unstable/stable
Re: Probleme bei der Installation von roccat-tools
« Antwort #1 am: 16. Mai 2014, 22:32:48 »
Ich würde mal raten, dass das von dir genannte Paket nur zur Konfiguration benötigt wird... der Treiber dürfte eher:
roccat-dkms sein... versuche mal das zu installieren
yaourt -S roccat-dkms --noconfirm
A mind is like a parachute, it doesn't work unless it's open
Frank Zappa

Offline maeries

  • Jr. Mitglied
  • **
  • Beiträge: 65
  • Desktop: Gnome Shell
  • Grafikkarte: MSI GTX 670
  • Grafikkartentreiber: nvidia 346.47
  • Kernel: 3.18
  • Prozessor: i5 4670k @ 4,4GHz
  • Skill: Durchschnitt
  • Zweig: stable
Re: Probleme bei der Installation von roccat-tools
« Antwort #2 am: 17. Mai 2014, 14:11:55 »
Also mit
yaourt -S roccat-dkms --noconfirm und danach yaourt -S roccat-tools --noconfirm ging es. Aber wieso? In ubuntu hat es gereicht nur das Paket roccat-tools zu installieren, da der eigentliche Treiber schon im Kernel drin ist.

Offline Matthias19281

  • Held Mitglied
  • *****
  • Beiträge: 748
  • Dankeschön: 22 mal
  • Desktop: OpenBox
  • Grafikkarte: Intel (Laptop) / Nvidia (PC)
  • Grafikkartentreiber: free
  • Kernel: Kernel 3.17
  • Prozessor: Pentium B940 (Laptop) / Intel Core 2 Duo 8400 (PC)
  • Skill: Fortgeschritten
  • Zweig: unstable/stable
Re: Probleme bei der Installation von roccat-tools
« Antwort #3 am: 17. Mai 2014, 18:48:49 »
Das kann ich dir leider nicht beantworten, ich hatte einfach mal nachgesehen was mir:
yaourt -Ss roccatausgibt. Dann hatte ich nachgelesen was der Unterschied zwischen dkms und kmod ist und da kmod für ältere Treiber musste dkms sein  ;)
A mind is like a parachute, it doesn't work unless it's open
Frank Zappa

Offline Milagro

  • Neuling
  • *
  • Beiträge: 1
  • Skill: Anfänger
Re: Probleme bei der Installation von roccat-tools
« Antwort #4 am: 12. August 2019, 16:34:34 »
Ich bekomme es auch nicht hin, über AUR bekomme ich ständig make und Build fehrlemeldungen wenn ich roccat-common instllieren will.

/usr/include/pango-1.0/pango/pango-coverage.h:28:10: schwerwiegender Fehler: hb.h: Datei oder Verzeichnis nicht gefunden
   28 | #include <hb.h>
      |          ^~~~~~
Kompilierung beendet.
make[2]: *** [libroccathelper/CMakeFiles/libroccathelper.dir/build.make:136: libroccathelper/CMakeFiles/libroccathelper.dir/gtk_roccat_helper.c.o] Fehler 1
make[1]: *** [CMakeFiles/Makefile2:408: libroccathelper/CMakeFiles/libroccathelper.dir/all] Fehler 2
make: *** [Makefile:141: all] Fehler 2
==> FEHLER: Ein Fehler geschah in build().
    Breche ab...


vielleicht hat ja einer ne Idee.

Grüße